<?php 

	if (Session::get("tipo_usuario") != "3"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$id_produto = (int) filter_input(INPUT_POST, "id_produto", FILTER_SANITIZE_NUMBER_INT);
		$status = filter_input(INPUT_POST, "status", FILTER_SANITIZE_STRING);

		$model = new Model();

		$result = $model->update("produto", [
			"produto_destaque" => $status
		], [
			"id_produto" => $id_produto
		]);
			
		if ($result > 0) {	
			// Gera o histórico
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$model->commit();
			echo json_encode(["status" => true]);
		}
		else{
			$model->rollback();
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>